<!DOCTYPE html>
<html lang="en"  xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Edit Player</title>
</head>
<body>
    <h1>Edit Player Data</h1>
    <form th:action="@{/change-player-data(clubId=${clubId},playerId=${playerId})}" th:object="${player}" method="post">
        <label for="playerName">Spielername</label>
        <input type="text" th:field="*{name}" id="playerName">

        <label for="number">Trikotnummer</label>
        <input type="text" th:field="*{number}" id="number">

        <label for="regClub">Spielt für:</label>
        <select th:field="*{playsAt}" id="regClub">
            <option th:each="c : ${selectList}" th:value="${c.name}" th:text="${c.name}">
            </option>
        </select>

        <input type="submit">
    </form>
</body>
</html>